<?php /* 
Template Name: Archives 
*/ ?>  

<?php get_header(); ?>      

<?php 	if (! empty($display_stats) ) { 		get_stats(1); 		echo "<br />"; 	} 	else if (($posts & empty($display_stats)) ) : foreach ($posts as $post) : start_wp(); ?>  

<div class="content"> 

<div class="entryarchive">

<?php /* Counts the posts, comments and categories on your blog */
	$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
	if (0 < $numposts) $numposts = number_format($numposts); 
	
	$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
	if (0 < $numcomms) $numcomms = number_format($numcomms);
	
	$numcats = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->categories");
	if (0 < $numcats) $numcats = number_format($numcats);
?>

<h2 class="pagetitle">All Photos (<?php echo $numposts; ?>)</h2>

<!-- archives with the_excerpt -->    
<?php $arc_query = new WP_Query('orderby=post_date&order=DESC&showposts=-1'); ?> <?php while ($arc_query->have_posts()) : $arc_query->the_post(); ?> <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php echo $post->post_excerpt; ?></a>  


<?php endwhile; ?>  

<h3 class="sidetitle">Archives</h3>
<ul class="sidelist">
<?php get_archives('monthly', '', 'html', '', '', TRUE); ?>
</ul>

<h3 class="sidetitle">Categories</h3>
<ul class="sidelist">
<?php wp_list_cats('sort_column=name&optioncount=1'); ?>
</ul>


<?php endforeach; else: ?>    

<p><b><h2 class="center">Page not found</h2></b></p> 
<?php endif; ?>    

</div> <!-- end of entry div class -->

<!-- end post -->   


<?php get_sidebar(); ?>

</div> <!-- end of content div class -->


<?php get_footer(); ?> 